#hero {
    position: relative;
    color: white;
}

#hero-image {
    aspect-ratio: 3 / 1;
    min-height: 350px;
    width: 100%;
}

#hero-text {
    position: absolute;
    top: 128px;
    left: 64px;
}

#hero-text * {
    color: white;
}

#news {
    gap: 32px;
}

#article-search {
    width: 100%;
}

.search-wrapper {
    position: relative;
    font-size: 1.3em;
    border-radius: 20px;
    padding: 4px 12px;
    border: 2px solid var(--shadow);
    display: flex;
    flex-direction: row;
    align-items: center;
    width: 975px;
    max-width: 100%;
    gap: 4px;
}

.input {
    display: flex;
    flex-direction: row;
    overflow-y: hidden;
    overflow-x: auto;
    scrollbar-width: none;
    gap: 4px;
}

.input::-webkit-scrollbar {
    display: none;
}

.input input,
.search-wrapper .input {
    flex: 1;
}

.input>input {
    all: unset;
    flex: 1;
}

.search-wrapper>.material-symbols-rounded {
    user-select: none;
}

.search-filter {
    position: absolute;
    top: 100%;
    left: 0;
    margin-top: 8px;
    z-index: 11;
    width: 100%;
    padding: 12px 8px;
    border: 2px solid var(--shadow);
    background-color: white;
    border-radius: 8px;
    opacity: 0;
    transition: opacity .3s;
    pointer-events: none;
    box-shadow: 1px 7px 4px var(--shadow);
    display: flex;
    flex-direction: column;
    gap: 4px;
}

.search-filter:has(.search-tags:empty) {
    opacity: 0 !important;
    pointer-events: none !important;
}

.search-wrapper:has(input:focus)>.search-filter,
.search-filter:hover {
    opacity: 1;
    pointer-events: initial;
}

.search-filter>p {
    margin: 0;
}

.search-filter * {
    font-size: 20px;
}

.search-tags {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 8px;
}

.search-filter .search-tags {
    flex-flow: wrap;
}

.search-tags:has(+input)>button::before {
    content: "\e5c9";
    display: inline-block;
    vertical-align: middle;
    color: white;
    font-family: "Material Symbols Rounded";
    line-height: 1;
}

.search-tags>button {
    font-size: 1rem;
    border-radius: 20px;
    background-color: var(--light);
    color: white;
    padding: 4px 8px;
    transition: filter .3s;
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 4px;
}

.search-tags>button:active {
    filter: brightness(85%);
}

#articles {
    display: grid;
    grid-template-columns: 1fr 2fr;
    grid-auto-rows: 240px;
    column-gap: 16px;
    row-gap: 32px;
}

.article {
    display: contents;
    height: min-content;
}

.article>* {
    cursor: pointer;
}

.article b {
    font-size: .8em;
}

.article h3 {
    text-transform: uppercase;
}

.article p {
    margin: 0;
    display: -webkit-box;
    max-width: 100%;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 4;
    overflow: hidden;    
}

.article-image {
    position: relative;
    overflow: hidden;
    border-radius: 4px;
}

.article-image::before {
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background: linear-gradient(to bottom, rgba(255, 255, 255, .25) 25%, transparent);
    background-size: 100% 200%;
    background-position-y: 100%;
    transition: background-position-y .5s;
    z-index: 10;
}

.article-image>img {
    min-height: 100%;
    transition: scale .5s;
}

.article:hover>.article-image>img {
    scale: 1.1;
}

.article:hover>.article-image::before {
    background-position-y: 0;
}

#subscribe-modal {
    width: 100%;
    max-width: 750px;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: white;
    border: 2px solid var(--shadow);
    border-radius: 8px;
    padding: 16px 8px;
    padding-top: 32px;
    display: none;
    flex-direction: column;
    gap: 16px;
    z-index: 111;
}

#subscribe-modal.show {
    display: flex;
}

.backdrop {
    display: none;
}

#subscribe-modal.show+.backdrop {
    position: fixed;
    display: block;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
    z-index: 110;
    background-color: rgba(0, 0, 0, 0.5);
}

#subscribe-modal form>:last-child {
    width: 0;
    pointer-events: none;
    position: absolute;
}

#subscribe-modal form>:last-child>input {
    background-color: inherit;
    border: none;
    pointer-events: none;
    position: absolute;
}

@media only screen and (max-width: 480px) {
    #hero-text {
        position: absolute;
        top: 96px;
        left: 24px;
    }
}

@media only screen and (max-width: 1300px) {
    #articles {
        grid-template-columns: 1fr 1fr;
    }

    .article .column {
        gap: 8px;
    }
}

@media only screen and (max-width: 815px) {
    #articles {
        grid-template-columns: 1fr;
        grid-auto-rows: auto;
    }

    .article {
        display: flex;
        flex-direction: column;
        gap: 16px;
        text-decoration: none;
    }
}
